Steam for Linux

Steam for Linux

Steam for Linux > 総合掲示板 > トピックの詳細
Fatal error: Failed to load steamui.so
I'm having this error since I installed the last build.
I'm using Fedora 64 bits. It didn't happened with the last build that I installed on the same computer, on the same distro.

The error appears as soon as I try to execute steam.

I googled it up but all I could find was Ubuntu and Mint tips.

Any help on how to solve this?
< >
1-15 / 60 のコメントを表示
Zombie 2012年12月28日 11時43分 
Bingo Faggins の投稿を引用:
Any help on how to solve this?
No idea, but I'm getting the same error on Debian Wheezy 64-bit.
CD Zombie の投稿を引用:
Bingo Faggins の投稿を引用:
Any help on how to solve this?
No idea, but I'm getting the same error on Debian Wheezy 64-bit.

The problem appears to be missing files on 64-bit distributions because steam requires some of the 32-bit libraries, and they are not usually installed.
But I have my 32-bit libraries installed and it still won't work.

Try installing the 32-bit libraries for Debian and see if it works for you.
I'm running steam on a 64-bit Kubuntu and I had to install some additional 32-bit libraries to get steam running.
Have you checked if all the dependecies for steamui.so are met on your system?
A
cd ~/Steam/ubuntu12_32 LD_LIBRARY_PATH=$PWD:$LD_LIBRARY_PATH ldd ./steamui.so
should defnitly not report any missing library.
cj-***** 2012年12月29日 13時45分 
Encountered the issue (gentoo 64bit linux here).
I was missing some 32bit packages (libopenal (provided by sdl), libpangoft2 (gtklibs)) that I found by running "( strace ./steam ) 2>&1 | grep so$" and checking the "file not found" errors.
After installing them, everything is fine.
dghost@linux の投稿を引用:
I'm running steam on a 64-bit Kubuntu and I had to install some additional 32-bit libraries to get steam running.
Have you checked if all the dependecies for steamui.so are met on your system?
A
cd ~/Steam/ubuntu12_32 LD_LIBRARY_PATH=$PWD:$LD_LIBRARY_PATH ldd ./steamui.so
should defnitly not report any missing library.

I haven't checked for the dependencies. How do I do that on Fedora?
I know that I have the 32 bit libraries installed, which are called 'glibc.i686' in Fedora.
Bingo Faggins の投稿を引用:

I'm I haven't checked for the dependencies. How do I do that on Fedora?
I know that I have the 32 bit libraries installed, which are called 'glibc.i686' in Fedora.

Open a terminal and paste the code I have quoted allready above.

cd ~/Steam/ubuntu12_32 LD_LIBRARY_PATH=$PWD:$LD_LIBRARY_PATH ldd ./steamui.so
[/quote]
That should work on every Linux distribution, if you used the default install path for steam. Don't get confused by the ubuntu12_32 dir. This has nothing todo with ubuntu.

If you have run the command above successful you'll get the list of libraries which looks like this
[...] libXrandr.so.2 => /usr/lib/i386-linux-gnu/libXrandr.so.2 (0xf6392000) libXext.so.6 => /usr/lib/i386-linux-gnu/libXext.so.6 (0xf637f000) libX11.so.6 => /usr/lib/i386-linux-gnu/libX11.so.6 (0xf6249000) libGL.so.1 => /usr/lib32/nvidia-experimental-310/libGL.so.1 (0xf6169000) libpangoft2-1.0.so.0 => /usr/lib/i386-linux-gnu/libpangoft2-1.0.so.0 (0xf613a000) libpango-1.0.so.0 => /usr/lib/i386-linux-gnu/libpango-1.0.so.0 (0xf60f1000) libfreetype.so.6 => /usr/lib/i386-linux-gnu/libfreetype.so.6 (0xf6056000) [...]
if you see a line like
libz.so.1 => not found

you than know that you are missing the libz in this case. So you have to search for that 32bit library with your package manager.
最近の変更は[LINUX] DGhostが行いました; 2012年12月30日 5時34分
Thanks. It worked, now I can see the missing package.
Now I have all the packages but it says "Failed to load libsteam.so"
Have you tried starting steam from the terminal? Is there any additional output to the error? Could you please post your "ldd" library list. So we can cross check it and see if there is maybe an outdated library used.
dghost@linux の投稿を引用:
Have you tried starting steam from the terminal? Is there any additional output to the error? Could you please post your "ldd" library list. So we can cross check it and see if there is maybe an outdated library used.

I tried opening steam from the terminal without luck.
No additional messages, just a plain "Fatal error: failed to load libsteam.so"

Here is the ldd list:

[bingo faggins@Mor ubuntu12_32]$ LD_LIBRARY_PATH=$PWD:$LD_LIBRARY_PATH ldd ./steamui.so
linux-gate.so.1 => (0xf77dc000)
libcef.so => /home/barbalarga/.local/share/Steam/ubuntu12_32/libcef.so (0xf3a97000)
liboverride.so => /home/barbalarga/.local/share/Steam/ubuntu12_32/liboverride.so (0xf3a94000)
libsteam.so => /home/barbalarga/.local/share/Steam/ubuntu12_32/libsteam.so (0xf374e000)
libtier0_s.so => /home/barbalarga/.local/share/Steam/ubuntu12_32/libtier0_s.so (0xf371a000)
libvstdlib_s.so => /home/barbalarga/.local/share/Steam/ubuntu12_32/libvstdlib_s.so (0xf36a0000)
libsdl2-2.0.so.0 => /home/barbalarga/.local/share/Steam/ubuntu12_32/libsdl2-2.0.so.0 (0xf35c9000)
libXrandr.so.2 => /lib/libXrandr.so.2 (0xf35a4000)
libXext.so.6 => /lib/libXext.so.6 (0xf3592000)
libX11.so.6 => /lib/libX11.so.6 (0xf3459000)
libGL.so.1 => /lib/libGL.so.1 (0xf33de000)
libpangoft2-1.0.so.0 => /lib/libpangoft2-1.0.so.0 (0xf33ae000)
libpango-1.0.so.0 => /lib/libpango-1.0.so.0 (0xf3364000)
libfreetype.so.6 => /lib/libfreetype.so.6 (0xf32c4000)
libfontconfig.so.1 => /lib/libfontconfig.so.1 (0xf328f000)
libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0xf323f000)
libgtk-x11-2.0.so.0 => /lib/libgtk-x11-2.0.so.0 (0xf2d96000)
librt.so.1 => /lib/librt.so.1 (0xf2d8d000)
libm.so.6 => /lib/libm.so.6 (0xf2d62000)
libdl.so.2 => /lib/libdl.so.2 (0xf2d5d000)
libstdc++.so.6 => /lib/libstdc++.so.6 (0xf2c71000)
libpthread.so.0 => /lib/libpthread.so.0 (0xf2c56000)
/lib/ld-linux.so.2 (0x4905e000)
libc.so.6 => /lib/libc.so.6 (0xf2aa4000)
libgdk-x11-2.0.so.0 => /lib/libgdk-x11-2.0.so.0 (0xf29e7000)
libpangocairo-1.0.so.0 => /lib/libpangocairo-1.0.so.0 (0xf29da000)
libgdk_pixbuf-2.0.so.0 => /lib/libgdk_pixbuf-2.0.so.0 (0xf29b5000)
libcairo.so.2 => /lib/libcairo.so.2 (0xf28fb000)
libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0xf27d3000)
libXi.so.6 => /lib/libXi.so.6 (0xf27c3000)
libasound.so.2 => /lib/libasound.so.2 (0xf26dd000)
libXrender.so.1 => /lib/libXrender.so.1 (0xf26d3000)
libnss3.so => /lib/libnss3.so (0xf2590000)
libnssutil3.so => /lib/libnssutil3.so (0xf256b000)
libsmime3.so => /lib/libsmime3.so (0xf253f000)
libplc4.so => /lib/libplc4.so (0xf2539000)
libnspr4.so => /lib/libnspr4.so (0xf24fc000)
libz.so.1 => /lib/libz.so.1 (0xf24e6000)
libdbus-1.so.3 => /lib/libdbus-1.so.3 (0xf249c000)
libpng12.so.0 => /lib/libpng12.so.0 (0xf2472000)
libXfixes.so.3 => /lib/libXfixes.so.3 (0xf246c000)
libcups.so.2 => /lib/libcups.so.2 (0xf2415000)
libgcrypt.so.11 => /lib/libgcrypt.so.11 (0xf2394000)
libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xf2377000)
libxcb.so.1 => /lib/libxcb.so.1 (0xf2354000)
libglapi.so.0 => /lib/libglapi.so.0 (0xf231f000)
libXdamage.so.1 => /lib/libXdamage.so.1 (0xf231b000)
libX11-xcb.so.1 => /lib/libX11-xcb.so.1 (0xf2318000)
libxcb-glx.so.0 => /lib/libxcb-glx.so.0 (0xf22ff000)
libXxf86vm.so.1 => /lib/libXxf86vm.so.1 (0xf22f9000)
libdrm.so.2 => /lib/libdrm.so.2 (0xf22eb000)
libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0xf22e6000)
libexpat.so.1 => /lib/libexpat.so.1 (0xf22bd000)
libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0xf22ba000)
libffi.so.5 => /lib/libffi.so.5 (0xf22b2000)
libatk-1.0.so.0 => /lib/libatk-1.0.so.0 (0xf2290000)
libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0xf2139000)
libXinerama.so.1 => /lib/libXinerama.so.1 (0xf2135000)
libXcursor.so.1 => /lib/libXcursor.so.1 (0xf212a000)
libXcomposite.so.1 => /lib/libXcomposite.so.1 (0xf2126000)
libpng15.so.15 => /lib/libpng15.so.15 (0xf20f8000)
libpixman-1.so.0 => /lib/libpixman-1.so.0 (0xf205e000)
libplds4.so => /lib/libplds4.so (0xf2059000)
libgssapi_krb5.so.2 => /lib/libgssapi_krb5.so.2 (0xf2017000)
libkrb5.so.3 => /lib/libkrb5.so.3 (0xf1f36000)
libk5crypto.so.3 => /lib/libk5crypto.so.3 (0xf1f0a000)
libcom_err.so.2 => /lib/libcom_err.so.2 (0xf1f05000)
libgnutls.so.26 => /lib/libgnutls.so.26 (0xf1e44000)
libgpg-error.so.0 => /lib/libgpg-error.so.0 (0xf1e3f000)
libavahi-common.so.3 => /lib/libavahi-common.so.3 (0xf1e31000)
libavahi-client.so.3 => /lib/libavahi-client.so.3 (0xf1e1e000)
libcrypt.so.1 => /lib/libcrypt.so.1 (0xf1ded000)
libXau.so.6 => /lib/libXau.so.6 (0xf1de9000)
libselinux.so.1 => /lib/libselinux.so.1 (0xf1dc7000)
libresolv.so.2 => /lib/libresolv.so.2 (0xf1dae000)
libkrb5support.so.0 => /lib/libkrb5support.so.0 (0xf1da1000)
libkeyutils.so.1 => /lib/libkeyutils.so.1 (0xf1d9d000)
libtasn1.so.3 => /lib/libtasn1.so.3 (0xf1d8b000)
libp11-kit.so.0 => /lib/libp11-kit.so.0 (0xf1d79000)
libfreebl3.so => /lib/libfreebl3.so (0xf1d24000)


Hi. For me this problem is caused after I install Nvidia Drivers from the website. I'm thinking on (again) doing a fresh install, then install Steam before nvidia drivers.
Your librarie list is looking good to me.
So you could now go forward and use (as suggested by cj):

cd ~/Steam/ubuntu12_32 LD_LIBRARY_PATH=$PWD:$LD_LIBRARY_PATH strace ./steam 2>&1 |grep so

See if this reports any missing library that steam tries to load at runtime.

If this does not bring you any further, you could try to pipe the complete output of strace into a file and look at the end and see if you find anything supicious there.

But be warned, strace produces a lot of ouput and finding something there is like the search of a needle in a haystack.
最近の変更は[LINUX] DGhostが行いました; 2013年1月1日 14時16分
I have an error: Failed to load steamui.so appears on the hybrid video Optumus using Intel.
optirun steam - runs fine.

kubuntu 12.04 x64
< >
1-15 / 60 のコメントを表示
ページ毎: 15 30 50

Steam for Linux > 総合掲示板 > トピックの詳細
投稿日: 2012年12月27日 4時07分
投稿数: 60